org.apache.jmeter.config

## Class KeystoreConfig

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.config.ConfigTestElement
    - - org.apache.jmeter.config.KeystoreConfig

All Implemented Interfaces:
  Serializable, Cloneable, ConfigElement, Searchable, TestBean, TestElement, TestStateListener

    public class KeystoreConfig
    extends ConfigTestElement
    implements TestBean, TestStateListener

Configure Keystore

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.jmeter.config.ConfigTestElement

`PASSWORD, USERNAME`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`KeystoreConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClientCertAliasVarName()`
`String` `getEndIndex()`
`String` `getPreload()`
`String` `getStartIndex()`
`void` `setClientCertAliasVarName(String clientCertAliasVarName)`
`void` `setEndIndex(String endIndex)`
`void` `setPreload(String preload)`
`void` `setStartIndex(String startIndex)`
`void` `testEnded()` Called once for all threads after the end of a test.
`void` `testEnded(String host)` Called once for all threads after the end of a test.
`void` `testStarted()` Called just before the start of the test from the main engine thread.
`void` `testStarted(String host)` Called just before the start of the test from the main engine thread.

### Methods inherited from class org.apache.jmeter.config.ConfigTestElement

`addConfigElement, addTestElement, expectsModification`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.config.ConfigElement

`clone`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### KeystoreConfig

    public KeystoreConfig()

### Method Detail

#### testEnded

    public void testEnded()

Description copied from interface: `TestStateListener`

Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

N.B. testStarted() and testEnded() are called from different threads.

Specified by:
  `testEnded` in interface `TestStateListener`
See Also:
  `StandardJMeterEngine.stopTest()`

#### testEnded

    public void testEnded(String host)

Description copied from interface: `TestStateListener`

Called once for all threads after the end of a test. This will use the same element instances as at the start of the test.

N.B. testStarted() and testEnded() are called from different threads.

Specified by:
  `testEnded` in interface `TestStateListener`
Parameters:
  `host` - name of host
See Also:
  `StandardJMeterEngine.stopTest()`

#### testStarted

    public void testStarted()

Description copied from interface: `TestStateListener`

Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

N.B. testStarted() and testEnded() are called from different threads.

Specified by:
  `testStarted` in interface `TestStateListener`
See Also:
  `StandardJMeterEngine.run()`

#### testStarted

    public void testStarted(String host)

Description copied from interface: `TestStateListener`

Called just before the start of the test from the main engine thread. This is before the test elements are cloned. Note that not all the test variables will have been set up at this point.

N.B. testStarted() and testEnded() are called from different threads.

Specified by:
  `testStarted` in interface `TestStateListener`
Parameters:
  `host` - name of host
See Also:
  `StandardJMeterEngine.run()`

#### getEndIndex

    public String getEndIndex()

Returns:
  the endIndex

#### setEndIndex

    public void setEndIndex(String endIndex)

Parameters:
  `endIndex` - the endIndex to set

#### getStartIndex

    public String getStartIndex()

Returns:
  the startIndex

#### setStartIndex

    public void setStartIndex(String startIndex)

Parameters:
  `startIndex` - the startIndex to set

#### getPreload

    public String getPreload()

Returns:
  the preload

#### setPreload

    public void setPreload(String preload)

Parameters:
  `preload` - the preload to set

#### getClientCertAliasVarName

    public String getClientCertAliasVarName()

Returns:
  the clientCertAliasVarName

#### setClientCertAliasVarName

    public void setClientCertAliasVarName(String clientCertAliasVarName)

Parameters:
  `clientCertAliasVarName` - the clientCertAliasVarName to set